IsEmptyIterable (Hamcrest 2.1 API)
Date: 2018-12-21

org.hamcrest.collection

## Class IsEmptyIterable<E>

- java.lang.Object
- - org.hamcrest.BaseMatcher<T>
  - - org.hamcrest.TypeSafeMatcher<java.lang.Iterable<? extends E>>
    - - org.hamcrest.collection.IsEmptyIterable<E>

- All Implemented Interfaces:
    Matcher<java.lang.Iterable<? extends E>>, SelfDescribing

      public class IsEmptyIterable<E>
      extends TypeSafeMatcher<java.lang.Iterable<? extends E>>

  Tests if collection is empty.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IsEmptyIterable()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `describeMismatchSafely(java.lang.Iterable<? extends E> iter, Description mismatchDescription)` Subclasses should override this.
    `void` | `describeTo(Description description)` Generates a description of the object.
    `static <E> Matcher<java.lang.Iterable<? extends E>>` | `emptyIterable()` Creates a matcher for `Iterable`s matching examined iterables that yield no items.
    `static <E> Matcher<java.lang.Iterable<E>>` | `emptyIterableOf(java.lang.Class<E> unusedToForceReturnType)` Creates a matcher for `Iterable`s matching examined iterables that yield no items.
    `boolean` | `matchesSafely(java.lang.Iterable<? extends E> iterable)` Subclasses should implement this.

    - ### Methods inherited from class org.hamcrest.TypeSafeMatcher

      `describeMismatch, matches`

    - ### Methods inherited from class org.hamcrest.BaseMatcher

      `_dont_implement_Matcher___instead_extend_BaseMatcher_, isNotNull, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IsEmptyIterable

          public IsEmptyIterable()

  - ### Method Detail

    - #### matchesSafely

          public boolean matchesSafely(java.lang.Iterable<? extends E> iterable)

      Description copied from class: `TypeSafeMatcher`
      Subclasses should implement this. The item will already have been checked for the specific type and will never be null.
      Specified by:
        `matchesSafely` in class `TypeSafeMatcher<java.lang.Iterable<? extends E>>`

    - #### describeMismatchSafely

          public void describeMismatchSafely(java.lang.Iterable<? extends E> iter,
                                             Description mismatchDescription)

      Description copied from class: `TypeSafeMatcher`
      Subclasses should override this. The item will already have been checked for the specific type and will never be null.
      Overrides:
        `describeMismatchSafely` in class `TypeSafeMatcher<java.lang.Iterable<? extends E>>`

    - #### describeTo

          public void describeTo(Description description)

      Description copied from interface: `SelfDescribing`
      Generates a description of the object. The description may be part of a a description of a larger object of which this is just a component, so it should be worded appropriately.
      Parameters:
        `description` - The description to be built or appended to.

    - #### emptyIterable

          public static <E> Matcher<java.lang.Iterable<? extends E>> emptyIterable()

      Creates a matcher for `Iterable`s matching examined iterables that yield no items. For example:

          assertThat(new ArrayList<String>(), is(emptyIterable()))

    - #### emptyIterableOf

          public static <E> Matcher<java.lang.Iterable<E>> emptyIterableOf(java.lang.Class<E> unusedToForceReturnType)

      Creates a matcher for `Iterable`s matching examined iterables that yield no items. For example:

          assertThat(new ArrayList<String>(), is(emptyIterableOf(String.class)))

      Parameters:
        `unusedToForceReturnType` - the type of the iterable's content